Ubuntu 16.04LTS:strongSwanの脆弱性 (USN-5250-2)

critical Nessus プラグイン ID 157059

概要

リモートUbuntuホストにセキュリティ更新がありません。

説明

リモートのUbuntu 16.04LTSホストには、USN-5250-2のアドバイザリに記載された脆弱性の影響を受けるパッケージがインストールされています。

- 5.9.5より前の strongSwan で、悪意のあるレスポンダーが、実際にはクライアントを認証せずに、さらにはサーバー認証もない状態という早すぎるタイミングで EAP-Success メッセージを送信する可能性があります(IKEv2 用の相互認証および EAP-only 認証の EAP メソッドの場合)。(CVE-2021-45079)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://ubuntu.com/security/notices/USN-5250-2

プラグインの詳細

深刻度: Critical

ID: 157059

ファイル名: ubuntu_USN-5250-2.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/1/25

更新日: 2022/2/8

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2021-45079

VPR

リスクファクター: Medium

スコア: 5.2

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.1

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:canonical:ubuntu_linux:16.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:charon-cmd, p-cpe:/a:canonical:ubuntu_linux:libcharon-extra-plugins, p-cpe:/a:canonical:ubuntu_linux:libstrongswan, p-cpe:/a:canonical:ubuntu_linux:libstrongswan-extra-plugins, p-cpe:/a:canonical:ubuntu_linux:libstrongswan-standard-plugins, p-cpe:/a:canonical:ubuntu_linux:strongswan, p-cpe:/a:canonical:ubuntu_linux:strongswan-charon, p-cpe:/a:canonical:ubuntu_linux:strongswan-ike, p-cpe:/a:canonical:ubuntu_linux:strongswan-ikev1, p-cpe:/a:canonical:ubuntu_linux:strongswan-ikev2, p-cpe:/a:canonical:ubuntu_linux:strongswan-libcharon, p-cpe:/a:canonical:ubuntu_linux:strongswan-nm, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-af-alg, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-agent, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-attr-sql, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-certexpire, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-coupling, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-curl, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-dhcp, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-dnscert, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-dnskey, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-duplicheck, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-aka, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-aka-3gpp2, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-dynamic, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-gtc, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-md5, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-mschapv2, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-peap, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-radius, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-sim, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-sim-file, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-sim-pcsc, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-simaka-pseudonym, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-simaka-reauth, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-simaka-sql, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-tls, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-tnc, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-eap-ttls, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-error-notify, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-farp, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-fips-prf, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-gcrypt, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-gmp, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-ipseckey, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-kernel-libipsec, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-ldap, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-led, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-load-tester, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-lookip, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-mysql, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-ntru, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-openssl, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-pgp, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-pkcs11, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-pubkey, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-radattr, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-soup, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-sql, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-sqlite, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-sshkey, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-systime-fix, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-unbound, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-unity, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-whitelist, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-xauth-eap, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-xauth-generic, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-xauth-noauth, p-cpe:/a:canonical:ubuntu_linux:strongswan-plugin-xauth-pam, p-cpe:/a:canonical:ubuntu_linux:strongswan-pt-tls-client, p-cpe:/a:canonical:ubuntu_linux:strongswan-starter, p-cpe:/a:canonical:ubuntu_linux:strongswan-tnc-base, p-cpe:/a:canonical:ubuntu_linux:strongswan-tnc-client, p-cpe:/a:canonical:ubuntu_linux:strongswan-tnc-ifmap, p-cpe:/a:canonical:ubuntu_linux:strongswan-tnc-pdp, p-cpe:/a:canonical:ubuntu_linux:strongswan-tnc-server

必要な KB アイテム: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/1/24

脆弱性公開日: 2022/1/24

参照情報

CVE: CVE-2021-45079

USN: 5250-2